$(document).ready(function () {
    $("#register").click(() => {
        register()
    });

    $("#main").click(() => {
        window.location.href = "/"
    });

    $(".checkbox-group").click(() => {
        let checkbox = $("#student-checkbox");
        if (checkbox.hasClass("checked")) {
            checkbox.removeClass("checked");
            $("#student").css("display", "none");
        } else {
            checkbox.addClass("checked");
            $("#student").css("display", "block");
        }
    });
});

function register() {
    let username = $('#username').val();
    let password = $('#password').val();
    let lastname = $('#lastname').val();
    let firstname = $('#firstname').val();
    let secondname = $('#secondname').val();
    let birthdate = $('#birthdate').val();
    let location = $('#location').val();

    let student = $("#student-checkbox").hasClass("checked");
    let school = $('#school').val();
    let schoolclass = $('#schoolclass').val();

    request('.', 'register', 'json', {
        username: username,
        password: password,
        lastname: lastname,
        firstname: firstname,
        secondname: secondname,
        birthdate: birthdate,
        location: location,
        student: student,
        school: school,
        schoolclass: schoolclass
    }).then(data => {
        data.error ? showModal(data.message) : (window.location.href = "/profile");
    }).catch(error => {
        console.log(error.message);
    });
}

function showModal(text) {
    $("#modal p").text(text);

    var modal = $("#modal");
    modal.css("display", "flex");

    $("#close-btn").click(() => {
        modal.css("display", "none");
    });
}
