$(document).ready(function () {
    $("#authorization").click(() => {
        authorization()
    });

    $("#username, #password").on('keypress', function(e) {
        if(e.which == 13) {
            authorization()
        }
    });


    $("#main").click(() => {
        window.location.href = "/"
    });
});

function authorization() {
    var username = document.getElementById("username").value;
    var password = document.getElementById("password").value;
    if (username === "" || password === "") {
        showModal("Заполнены не все поля");
    } else {
        request('.', 'authorization', 'json', { username: username, password: password }).then(data => {
            data.error ? showModal(data.message) : (window.location.href = "/profile");
        }).catch(error => {
            console.log(error.message);
        });
    }
}

function showModal(text) {
    $("#modal p").text(text);

    var modal = $("#modal");
    modal.css("display", "flex");

    $("#close-btn").click(() => {
        modal.css("display", "none");
    });
}
